Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.meteo
Class OMOcclusion

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphic
              com.bbn.openmap.omGraphics.OMAbstractLine
                  com.bbn.openmap.omGraphics.OMPoly
                      com.bbn.openmap.omGraphics.OMSpline
                          com.bbn.openmap.omGraphics.OMDecoratedSpline
                              com.bbn.openmap.omGraphics.meteo.OMOcclusion

All Implemented Interfaces:
  java.lang.Cloneable, OMGeometry, OMGraphicConstants, Revertable, java.io.Serializable

public class OMOcclusion
extends OMDecoratedSpline

OMOcclusion Just need to init the decorations.

Version:
  28 juil. 2002
Author:
  Eric LEPICIER
See Also:
  Serialized Form

Field Summary
`static java.awt.Color` | `COLOR`
`static int` | `LENGTH`
`static int` | `SPACING`
`static int` | `WIDTH`

Fields inherited from class com.bbn.openmap.omGraphics.OMPoly
`coordMode, COORDMODE_ORIGIN, COORDMODE_PREVIOUS, doShapes, geometryClosed, isPolygon, lat, lon, rawllpts, units, xs, ys`

Fields inherited from class com.bbn.openmap.omGraphics.OMAbstractLine
`nsegs, xpoints, ypoints`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphic
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`APP_OBJECT_KEY, appObject, ATT_MAP_KEY, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK`

Constructor Summary
`OMOcclusion()` Constructor for OMOcclusion.
`OMOcclusion(float[] llPoints, int units, int lType)` Constructor for OMOcclusion.
`OMOcclusion(float[] llPoints, int units, int lType, int nsegs)` Constructor for OMOcclusion.
`OMOcclusion(float latPoint, float lonPoint, int[] xypoints, int cMode)` Constructor for OMOcclusion.
`OMOcclusion(float latPoint, float lonPoint, int[] xPoints, int[] yPoints, int cMode)` Constructor for OMOcclusion.
`OMOcclusion(int[] xypoints)` Constructor for OMOcclusion.
`OMOcclusion(int[] xPoints, int[] yPoints)` Constructor for OMOcclusion.

Method Summary
`protected void` | `initDecorations()` Called by constructor, may be overriden.

Methods inherited from class com.bbn.openmap.omGraphics.OMDecoratedSpline
`getDecorator, render, revert, setDecorator`

Methods inherited from class com.bbn.openmap.omGraphics.OMSpline
`generate`

Methods inherited from class com.bbn.openmap.omGraphics.OMPoly
`checkPoints, createShape, distance, getCoordMode, getDoShapes, getLat, getLatLonArray, getLon, getNumSegs, getRawllpts, getShape, getUnits, getXs, getYs, isGeometryClosed, isPolygon, setCoordMode, setDoShapes, setFillPaint, setIsPolygon, setLat, setLocation, setLocation, setLocation, setLocation, setLocation, setLon, setNumSegs, setXs, setYs, shouldRenderFill`

Methods inherited from class com.bbn.openmap.omGraphics.OMAbstractLine
`addArrowHead, addArrowHead, addArrowHead, addArrowHead, createArrowHeads, getArrowDirectionType, getArrowHead, getArrowLocation, getWingLength, getWingTip, hasArrowHead, setArrowHead`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphic
`clone, deselect, getDeclutterType, getDescription, getDescription, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShape, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, checkAttributeMap, checkAttributeMap, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, draw, fill, getAppObject, getAppObject, getAttribute, getAttributeMap, getAttributes, getLineType, getNeedToRegenerate, isRenderable, isVisible, putAttribute, removeAttribute, replaceAppObjectWithAttributeMap, setAppObject, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, draw, fill, getAppObject, getAttribute, getAttributes, getLineType, getNeedToRegenerate, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Field Detail

### COLOR

    public static java.awt.Color COLOR

### LENGTH

    public static int LENGTH

### WIDTH

    public static int WIDTH

### SPACING

    public static int SPACING

Constructor Detail

### OMOcclusion

    public OMOcclusion()

  Constructor for OMOcclusion.

### OMOcclusion

    public OMOcclusion(float[] llPoints,
                       int units,
                       int lType)

  Constructor for OMOcclusion.

Parameters:
  `llPoints` -
  `units` -
  `lType` -

### OMOcclusion

    public OMOcclusion(float[] llPoints,
                       int units,
                       int lType,
                       int nsegs)

  Constructor for OMOcclusion.

Parameters:
  `llPoints` -
  `units` -
  `lType` -
  `nsegs` -

### OMOcclusion

    public OMOcclusion(int[] xypoints)

  Constructor for OMOcclusion.

Parameters:
  `xypoints` -

### OMOcclusion

    public OMOcclusion(int[] xPoints,
                       int[] yPoints)

  Constructor for OMOcclusion.

Parameters:
  `xPoints` -
  `yPoints` -

### OMOcclusion

    public OMOcclusion(float latPoint,
                       float lonPoint,
                       int[] xypoints,
                       int cMode)

  Constructor for OMOcclusion.

Parameters:
  `latPoint` -
  `lonPoint` -
  `xypoints` -
  `cMode` -

### OMOcclusion

    public OMOcclusion(float latPoint,
                       float lonPoint,
                       int[] xPoints,
                       int[] yPoints,
                       int cMode)

  Constructor for OMOcclusion.

Parameters:
  `latPoint` -
  `lonPoint` -
  `xPoints` -
  `yPoints` -
  `cMode` -

Method Detail

### initDecorations

    protected void initDecorations()

  Description copied from class: `OMDecoratedSpline`
  Called by constructor, may be overriden.

  Overrides:
    `initDecorations` in class `OMDecoratedSpline`
  See Also:
    `OMDecoratedSpline.initDecorations()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details